/*
 *  Copyright 2021 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * 
 * This widget overrides the runtime {@link Ametys.form.field.RichText} to handle specific tinyMCE toolbar and plugins
 * 
 */
Ext.define('Ametys.cms.form.widget.override.RichText', {
    override : 'Ametys.cms.form.widget.RichText',
    
    constructor: function(config)
    {
        config.category = (config.category === null || config.category === undefined) 
            ? ((config.contentId || config.contentInfo && config.contentInfo.contentId) ? 'content': '')
            : config.category;
            
        this.callParent(arguments);
    }
});
    