var report = Report.create("Time repartition");
var header1 = report.addHeader();
    header1.addColumn("Label", 1, 2);
    header1.addColumn("Volume", 3, 1);
var header2 = report.addHeader("TP", "TD", "CM");

report.addRow("English", 3, 2, 1);

var row2 = report.addRow();
    row2.addColumn("Spanish");
    row2.addColumn(4);
    row2.addColumn(5);
    row2.addColumn(4);

var file = report.saveAsHTML();

// Get the mail of the currently connected user
var useridentityConnected = Ametys.serviceManager.lookup(org.ametys.core.user.CurrentUserProvider.ROLE).getUser();
var userConnected = Ametys.serviceManager.lookup(org.ametys.core.user.UserManager.ROLE).getUser(useridentityConnected);
var mail = userConnected.getEmail();

Ametys.mail({
    "subject": "Time repartition report",
    "htmlBody": "Please find the report in attachment",
    "toRecipients" : mail,
    "attachments": file
    })