/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.ametys.cms.transformation.html;

import org.ametys.cms.transformation.docbook.DocbookOutgoingReferencesExtractor;

/**
 * This impl extract outgoing references on html rich texts
 */
public class HTMLOutgoingReferencesExtractor extends DocbookOutgoingReferencesExtractor
{
    /** Avalon Role */
    @SuppressWarnings("hiding")
    public static final String ROLE = HTMLOutgoingReferencesExtractor.class.getName();

    @Override
    protected String _getXSLTURI()
    {
        return "htmlenhancement://html2outgoingreferences.xsl";
    }
}
