<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2017 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"                          
                            xmlns:i18n="http://apache.org/cocoon/i18n/2.1" 
                            xmlns:dyn="http://exslt.org/dynamic"
                            xmlns:exsl="http://exslt.org/common">
                         
    <xsl:param name="xpath"/>
     
    <xsl:template match="text()">
        <xsl:apply-templates/>
    </xsl:template>  
    
    <xsl:template match="*[$xpath != '' and dyn:evaluate($xpath) or $xpath = '']">
        <xsl:choose>
            <xsl:when test="$xpath != ''">
		        <xsl:copy-of select="dyn:evaluate($xpath)"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy-of select="."/>
            </xsl:otherwise>            
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
