/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.cms.data.extractor;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.cms.data.extractor.xml.ModelAwareXMLValuesExtractorTestCase;
import org.ametys.cms.data.extractor.xml.ModelLessXMLValuesExtractorTestCase;

import junit.framework.TestSuite;

/**
 * Tests suite for data holder feature.
 */
@RunWith(Suite.class)
@SuiteClasses({
    ModelAwareXMLValuesExtractorTestCase.class,
    ModelLessXMLValuesExtractorTestCase.class
})
public final class AllValuesExtractorTestSuite extends TestSuite
{
    // empty class
}
