/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */


/**
 * Provides a widget for multilingual field when comparing values
 */
Ext.define('Ametys.cms.form.widget.MultilingualStringComparison', {
    extend: "Ametys.form.widget.MultilingualStringComparison",
    
    _labelLang: function(code)
    {
        return this.callParent([Ametys.cms.language.LanguageDAO.getStore().getAt(Ametys.cms.language.LanguageDAO.getStore().find('name', code)).get('label')]);
    }
});