/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
Ametys.namespace('Content', (function() {
    
        function doWorkflowAction(content, actionId, options) 
        {
            const contentWorkflowHelper = Ametys.serviceManager.lookup("org.ametys.cms.workflow.ContentWorkflowHelper");
            options = options || {};
            inputs = options.inputs || {};
            inputs.comment = options.comment;
            
            contentWorkflowHelper.doAction(content, actionId, inputs);
            return content;
            
        }
        return {
            doWorkflowAction
        }
    })()
);